1. Registry
  2. Packages
  3. Databricks Provider
  4. API Docs
  5. getAiGatewayModelServices
Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi
databricks logo databricks logo
Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi

    GA

    API Documentation

    Lists the Unity Catalog model services that are visible to the current principal in a schema.

    Example Usage

    The following example lists model services in the main.default schema:

    import * as pulumi from "@pulumi/pulumi";
    import * as databricks from "@pulumi/databricks";
    
    const all = databricks.getAiGatewayModelServices({
        parent: "schemas/main.default",
    });
    export const modelServices = all.then(all => all.modelServices);
    
    import pulumi
    import pulumi_databricks as databricks
    
    all = databricks.get_ai_gateway_model_services(parent="schemas/main.default")
    pulumi.export("modelServices", all.model_services)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-databricks/sdk/go/databricks"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		all, err := databricks.GetAiGatewayModelServices(ctx, &databricks.GetAiGatewayModelServicesArgs{
    			Parent: pulumi.StringRef("schemas/main.default"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		ctx.Export("modelServices", all.ModelServices)
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Databricks = Pulumi.Databricks;
    
    return await Deployment.RunAsync(() => 
    {
        var all = Databricks.GetAiGatewayModelServices.Invoke(new()
        {
            Parent = "schemas/main.default",
        });
    
        return new Dictionary<string, object?>
        {
            ["modelServices"] = all.Apply(getAiGatewayModelServicesResult => getAiGatewayModelServicesResult.ModelServices),
        };
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.databricks.DatabricksFunctions;
    import com.pulumi.databricks.inputs.GetAiGatewayModelServicesArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var all = DatabricksFunctions.getAiGatewayModelServices(GetAiGatewayModelServicesArgs.builder()
                .parent("schemas/main.default")
                .build());
    
            ctx.export("modelServices", all.modelServices());
        }
    }
    
    variables:
      all:
        fn::invoke:
          function: databricks:getAiGatewayModelServices
          arguments:
            parent: schemas/main.default
    outputs:
      modelServices: ${all.modelServices}
    
    terraform {
      required_providers {
        databricks = {
          source = "pulumi/databricks"
        }
      }
    }
    
    data "databricks_ai_gateway_model_services" "all" {
      parent = "schemas/main.default"
    }
    
    output "modelServices" {
      value = data.databricks_ai_gateway_model_services.all.model_services
    }
    

    Using getAiGatewayModelServices

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getAiGatewayModelServices(args: GetAiGatewayModelServicesArgs, opts?: InvokeOptions): Promise<GetAiGatewayModelServicesResult>
    function getAiGatewayModelServicesOutput(args: GetAiGatewayModelServicesOutputArgs, opts?: InvokeOutputOptions): Output<GetAiGatewayModelServicesResult>
    def get_ai_gateway_model_services(page_size: Optional[int] = None,
                                      parent: Optional[str] = None,
                                      provider_config: Optional[GetAiGatewayModelServicesProviderConfig] = None,
                                      view: Optional[str] = None,
                                      opts: Optional[InvokeOptions] = None) -> GetAiGatewayModelServicesResult
    def get_ai_gateway_model_services_output(page_size: pulumi.Input[Optional[int]] = None,
                                      parent: pulumi.Input[Optional[str]] = None,
                                      provider_config: pulumi.Input[Optional[GetAiGatewayModelServicesProviderConfigArgs]] = None,
                                      view: pulumi.Input[Optional[str]] = None,
                                      opts: Optional[InvokeOutputOptions] = None) -> Output[GetAiGatewayModelServicesResult]
    func GetAiGatewayModelServices(ctx *Context, args *GetAiGatewayModelServicesArgs, opts ...InvokeOption) (*GetAiGatewayModelServicesResult, error)
    func GetAiGatewayModelServicesOutput(ctx *Context, args *GetAiGatewayModelServicesOutputArgs, opts ...InvokeOption) GetAiGatewayModelServicesResultOutput

    > Note: This function is named GetAiGatewayModelServices in the Go SDK.

    public static class GetAiGatewayModelServices 
    {
        public static Task<GetAiGatewayModelServicesResult> InvokeAsync(GetAiGatewayModelServicesArgs args, InvokeOptions? opts = null)
        public static Output<GetAiGatewayModelServicesResult> Invoke(GetAiGatewayModelServicesInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetAiGatewayModelServicesResult> Invoke(GetAiGatewayModelServicesInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetAiGatewayModelServicesResult> getAiGatewayModelServices(GetAiGatewayModelServicesArgs args, InvokeOptions options)
    public static Output<GetAiGatewayModelServicesResult> getAiGatewayModelServices(GetAiGatewayModelServicesArgs args, InvokeOptions options)
    public static Output<GetAiGatewayModelServicesResult> getAiGatewayModelServices(GetAiGatewayModelServicesArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: databricks:index/getAiGatewayModelServices:getAiGatewayModelServices
      arguments:
        # arguments dictionary
    data "databricks_get_ai_gateway_model_services" "name" {
        # arguments
    }

    The following arguments are supported:

    PageSize int
    Maximum number of model services to return. Defaults to 100 when unset or 0; the maximum is 100. Use pageToken to retrieve additional pages
    Parent string
    Parent schema to list within, in the form schemas/{catalog}.{schema}. Required. Each {...} component is capped at 255 characters individually
    ProviderConfig GetAiGatewayModelServicesProviderConfig
    Configure the provider for management through account provider.
    View string
    Fields to return for each service. FULL includes destinations, inference-table details, and rate-limit principal names. BASIC omits destinations and inference-table details and omits principal names from rate limits. Defaults to BASIC when unset. Possible values are: BASIC, FULL
    PageSize int
    Maximum number of model services to return. Defaults to 100 when unset or 0; the maximum is 100. Use pageToken to retrieve additional pages
    Parent string
    Parent schema to list within, in the form schemas/{catalog}.{schema}. Required. Each {...} component is capped at 255 characters individually
    ProviderConfig GetAiGatewayModelServicesProviderConfig
    Configure the provider for management through account provider.
    View string
    Fields to return for each service. FULL includes destinations, inference-table details, and rate-limit principal names. BASIC omits destinations and inference-table details and omits principal names from rate limits. Defaults to BASIC when unset. Possible values are: BASIC, FULL
    page_size number
    Maximum number of model services to return. Defaults to 100 when unset or 0; the maximum is 100. Use pageToken to retrieve additional pages
    parent string
    Parent schema to list within, in the form schemas/{catalog}.{schema}. Required. Each {...} component is capped at 255 characters individually
    provider_config object
    Configure the provider for management through account provider.
    view string
    Fields to return for each service. FULL includes destinations, inference-table details, and rate-limit principal names. BASIC omits destinations and inference-table details and omits principal names from rate limits. Defaults to BASIC when unset. Possible values are: BASIC, FULL
    pageSize Integer
    Maximum number of model services to return. Defaults to 100 when unset or 0; the maximum is 100. Use pageToken to retrieve additional pages
    parent String
    Parent schema to list within, in the form schemas/{catalog}.{schema}. Required. Each {...} component is capped at 255 characters individually
    providerConfig GetAiGatewayModelServicesProviderConfig
    Configure the provider for management through account provider.
    view String
    Fields to return for each service. FULL includes destinations, inference-table details, and rate-limit principal names. BASIC omits destinations and inference-table details and omits principal names from rate limits. Defaults to BASIC when unset. Possible values are: BASIC, FULL
    pageSize number
    Maximum number of model services to return. Defaults to 100 when unset or 0; the maximum is 100. Use pageToken to retrieve additional pages
    parent string
    Parent schema to list within, in the form schemas/{catalog}.{schema}. Required. Each {...} component is capped at 255 characters individually
    providerConfig GetAiGatewayModelServicesProviderConfig
    Configure the provider for management through account provider.
    view string
    Fields to return for each service. FULL includes destinations, inference-table details, and rate-limit principal names. BASIC omits destinations and inference-table details and omits principal names from rate limits. Defaults to BASIC when unset. Possible values are: BASIC, FULL
    page_size int
    Maximum number of model services to return. Defaults to 100 when unset or 0; the maximum is 100. Use pageToken to retrieve additional pages
    parent str
    Parent schema to list within, in the form schemas/{catalog}.{schema}. Required. Each {...} component is capped at 255 characters individually
    provider_config GetAiGatewayModelServicesProviderConfig
    Configure the provider for management through account provider.
    view str
    Fields to return for each service. FULL includes destinations, inference-table details, and rate-limit principal names. BASIC omits destinations and inference-table details and omits principal names from rate limits. Defaults to BASIC when unset. Possible values are: BASIC, FULL
    pageSize Number
    Maximum number of model services to return. Defaults to 100 when unset or 0; the maximum is 100. Use pageToken to retrieve additional pages
    parent String
    Parent schema to list within, in the form schemas/{catalog}.{schema}. Required. Each {...} component is capped at 255 characters individually
    providerConfig Property Map
    Configure the provider for management through account provider.
    view String
    Fields to return for each service. FULL includes destinations, inference-table details, and rate-limit principal names. BASIC omits destinations and inference-table details and omits principal names from rate limits. Defaults to BASIC when unset. Possible values are: BASIC, FULL

    getAiGatewayModelServices Result

    The following output properties are available:

    ModelServices List<GetAiGatewayModelServicesModelService>
    PageSize int
    Parent string
    (string) - Parent Unity Catalog schema where the inference table is created, in the form schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed
    ProviderConfig GetAiGatewayModelServicesProviderConfig
    View string
    ModelServices []GetAiGatewayModelServicesModelService
    PageSize int
    Parent string
    (string) - Parent Unity Catalog schema where the inference table is created, in the form schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed
    ProviderConfig GetAiGatewayModelServicesProviderConfig
    View string
    model_services list(object)
    page_size number
    parent string
    (string) - Parent Unity Catalog schema where the inference table is created, in the form schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed
    provider_config object
    view string
    modelServices List<GetAiGatewayModelServicesModelService>
    pageSize Integer
    parent String
    (string) - Parent Unity Catalog schema where the inference table is created, in the form schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed
    providerConfig GetAiGatewayModelServicesProviderConfig
    view String
    modelServices GetAiGatewayModelServicesModelService[]
    pageSize number
    parent string
    (string) - Parent Unity Catalog schema where the inference table is created, in the form schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed
    providerConfig GetAiGatewayModelServicesProviderConfig
    view string
    model_services Sequence[GetAiGatewayModelServicesModelService]
    page_size int
    parent str
    (string) - Parent Unity Catalog schema where the inference table is created, in the form schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed
    provider_config GetAiGatewayModelServicesProviderConfig
    view str
    modelServices List<Property Map>
    pageSize Number
    parent String
    (string) - Parent Unity Catalog schema where the inference table is created, in the form schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed
    providerConfig Property Map
    view String

    Supporting Types

    GetAiGatewayModelServicesModelService

    Comment string
    (string) - User-provided description
    Config GetAiGatewayModelServicesModelServiceConfig
    (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    CreateTime string
    (string) - Time the model service was created
    CreatedBy string
    (string) - Creator identity
    EffectiveOwner string
    (string) - Owner of the model service
    Etag string
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    MetastoreId string
    (string) - Metastore hosting the model service
    Name string
    (string) - User-facing label for this destination, used in routing references
    SupportedApiTypes List<string>
    (list of string) - API types supported across this service's destinations, such as openai/v1/chat/completions, openai/v1/embeddings, and mlflow/v1/chat/completions. Derived from the backing models and providers at read time
    UpdateTime string
    (string) - Time the model service was last modified
    UpdatedBy string
    (string) - Identity of the last updater
    ProviderConfig GetAiGatewayModelServicesModelServiceProviderConfig
    Configure the provider for management through account provider.
    Comment string
    (string) - User-provided description
    Config GetAiGatewayModelServicesModelServiceConfig
    (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    CreateTime string
    (string) - Time the model service was created
    CreatedBy string
    (string) - Creator identity
    EffectiveOwner string
    (string) - Owner of the model service
    Etag string
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    MetastoreId string
    (string) - Metastore hosting the model service
    Name string
    (string) - User-facing label for this destination, used in routing references
    SupportedApiTypes []string
    (list of string) - API types supported across this service's destinations, such as openai/v1/chat/completions, openai/v1/embeddings, and mlflow/v1/chat/completions. Derived from the backing models and providers at read time
    UpdateTime string
    (string) - Time the model service was last modified
    UpdatedBy string
    (string) - Identity of the last updater
    ProviderConfig GetAiGatewayModelServicesModelServiceProviderConfig
    Configure the provider for management through account provider.
    comment string
    (string) - User-provided description
    config object
    (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    create_time string
    (string) - Time the model service was created
    created_by string
    (string) - Creator identity
    effective_owner string
    (string) - Owner of the model service
    etag string
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    metastore_id string
    (string) - Metastore hosting the model service
    name string
    (string) - User-facing label for this destination, used in routing references
    supported_api_types list(string)
    (list of string) - API types supported across this service's destinations, such as openai/v1/chat/completions, openai/v1/embeddings, and mlflow/v1/chat/completions. Derived from the backing models and providers at read time
    update_time string
    (string) - Time the model service was last modified
    updated_by string
    (string) - Identity of the last updater
    provider_config object
    Configure the provider for management through account provider.
    comment String
    (string) - User-provided description
    config GetAiGatewayModelServicesModelServiceConfig
    (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    createTime String
    (string) - Time the model service was created
    createdBy String
    (string) - Creator identity
    effectiveOwner String
    (string) - Owner of the model service
    etag String
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    metastoreId String
    (string) - Metastore hosting the model service
    name String
    (string) - User-facing label for this destination, used in routing references
    supportedApiTypes List<String>
    (list of string) - API types supported across this service's destinations, such as openai/v1/chat/completions, openai/v1/embeddings, and mlflow/v1/chat/completions. Derived from the backing models and providers at read time
    updateTime String
    (string) - Time the model service was last modified
    updatedBy String
    (string) - Identity of the last updater
    providerConfig GetAiGatewayModelServicesModelServiceProviderConfig
    Configure the provider for management through account provider.
    comment string
    (string) - User-provided description
    config GetAiGatewayModelServicesModelServiceConfig
    (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    createTime string
    (string) - Time the model service was created
    createdBy string
    (string) - Creator identity
    effectiveOwner string
    (string) - Owner of the model service
    etag string
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    metastoreId string
    (string) - Metastore hosting the model service
    name string
    (string) - User-facing label for this destination, used in routing references
    supportedApiTypes string[]
    (list of string) - API types supported across this service's destinations, such as openai/v1/chat/completions, openai/v1/embeddings, and mlflow/v1/chat/completions. Derived from the backing models and providers at read time
    updateTime string
    (string) - Time the model service was last modified
    updatedBy string
    (string) - Identity of the last updater
    providerConfig GetAiGatewayModelServicesModelServiceProviderConfig
    Configure the provider for management through account provider.
    comment str
    (string) - User-provided description
    config GetAiGatewayModelServicesModelServiceConfig
    (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    create_time str
    (string) - Time the model service was created
    created_by str
    (string) - Creator identity
    effective_owner str
    (string) - Owner of the model service
    etag str
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    metastore_id str
    (string) - Metastore hosting the model service
    name str
    (string) - User-facing label for this destination, used in routing references
    supported_api_types Sequence[str]
    (list of string) - API types supported across this service's destinations, such as openai/v1/chat/completions, openai/v1/embeddings, and mlflow/v1/chat/completions. Derived from the backing models and providers at read time
    update_time str
    (string) - Time the model service was last modified
    updated_by str
    (string) - Identity of the last updater
    provider_config GetAiGatewayModelServicesModelServiceProviderConfig
    Configure the provider for management through account provider.
    comment String
    (string) - User-provided description
    config Property Map
    (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    createTime String
    (string) - Time the model service was created
    createdBy String
    (string) - Creator identity
    effectiveOwner String
    (string) - Owner of the model service
    etag String
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    metastoreId String
    (string) - Metastore hosting the model service
    name String
    (string) - User-facing label for this destination, used in routing references
    supportedApiTypes List<String>
    (list of string) - API types supported across this service's destinations, such as openai/v1/chat/completions, openai/v1/embeddings, and mlflow/v1/chat/completions. Derived from the backing models and providers at read time
    updateTime String
    (string) - Time the model service was last modified
    updatedBy String
    (string) - Identity of the last updater
    providerConfig Property Map
    Configure the provider for management through account provider.

    GetAiGatewayModelServicesModelServiceConfig

    InferenceTable GetAiGatewayModelServicesModelServiceConfigInferenceTable
    (InferenceTableConfig) - Inference table configuration for payload logging
    RateLimits List<GetAiGatewayModelServicesModelServiceConfigRateLimit>
    (list of RateLimit) - Rate limits applied to requests routed through this model service
    Routing GetAiGatewayModelServicesModelServiceConfigRouting
    (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
    InferenceTable GetAiGatewayModelServicesModelServiceConfigInferenceTable
    (InferenceTableConfig) - Inference table configuration for payload logging
    RateLimits []GetAiGatewayModelServicesModelServiceConfigRateLimit
    (list of RateLimit) - Rate limits applied to requests routed through this model service
    Routing GetAiGatewayModelServicesModelServiceConfigRouting
    (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
    inference_table object
    (InferenceTableConfig) - Inference table configuration for payload logging
    rate_limits list(object)
    (list of RateLimit) - Rate limits applied to requests routed through this model service
    routing object
    (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
    inferenceTable GetAiGatewayModelServicesModelServiceConfigInferenceTable
    (InferenceTableConfig) - Inference table configuration for payload logging
    rateLimits List<GetAiGatewayModelServicesModelServiceConfigRateLimit>
    (list of RateLimit) - Rate limits applied to requests routed through this model service
    routing GetAiGatewayModelServicesModelServiceConfigRouting
    (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
    inferenceTable GetAiGatewayModelServicesModelServiceConfigInferenceTable
    (InferenceTableConfig) - Inference table configuration for payload logging
    rateLimits GetAiGatewayModelServicesModelServiceConfigRateLimit[]
    (list of RateLimit) - Rate limits applied to requests routed through this model service
    routing GetAiGatewayModelServicesModelServiceConfigRouting
    (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
    inference_table GetAiGatewayModelServicesModelServiceConfigInferenceTable
    (InferenceTableConfig) - Inference table configuration for payload logging
    rate_limits Sequence[GetAiGatewayModelServicesModelServiceConfigRateLimit]
    (list of RateLimit) - Rate limits applied to requests routed through this model service
    routing GetAiGatewayModelServicesModelServiceConfigRouting
    (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
    inferenceTable Property Map
    (InferenceTableConfig) - Inference table configuration for payload logging
    rateLimits List<Property Map>
    (list of RateLimit) - Rate limits applied to requests routed through this model service
    routing Property Map
    (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback

    GetAiGatewayModelServicesModelServiceConfigInferenceTable

    IsDeleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    Parent string
    Parent schema to list within, in the form schemas/{catalog}.{schema}. Required. Each {...} component is capped at 255 characters individually
    Table string
    (string) - Resolved UC table for payload logs. Format: tables/{catalog}.{schema}.{table}
    TableNamePrefix string
    (string) - Prefix used to form the inference table's registered name. AI Gateway appends _payload; for example, tableNamePrefix = "orders" creates ordersPayload. If unset, the prefix defaults to the service name. Read table from the response for the resulting resource name. After the inference table is created, this field cannot be changed
    IsDeleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    Parent string
    Parent schema to list within, in the form schemas/{catalog}.{schema}. Required. Each {...} component is capped at 255 characters individually
    Table string
    (string) - Resolved UC table for payload logs. Format: tables/{catalog}.{schema}.{table}
    TableNamePrefix string
    (string) - Prefix used to form the inference table's registered name. AI Gateway appends _payload; for example, tableNamePrefix = "orders" creates ordersPayload. If unset, the prefix defaults to the service name. Read table from the response for the resulting resource name. After the inference table is created, this field cannot be changed
    is_deleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    parent string
    Parent schema to list within, in the form schemas/{catalog}.{schema}. Required. Each {...} component is capped at 255 characters individually
    table string
    (string) - Resolved UC table for payload logs. Format: tables/{catalog}.{schema}.{table}
    table_name_prefix string
    (string) - Prefix used to form the inference table's registered name. AI Gateway appends _payload; for example, tableNamePrefix = "orders" creates ordersPayload. If unset, the prefix defaults to the service name. Read table from the response for the resulting resource name. After the inference table is created, this field cannot be changed
    isDeleted Boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    parent String
    Parent schema to list within, in the form schemas/{catalog}.{schema}. Required. Each {...} component is capped at 255 characters individually
    table String
    (string) - Resolved UC table for payload logs. Format: tables/{catalog}.{schema}.{table}
    tableNamePrefix String
    (string) - Prefix used to form the inference table's registered name. AI Gateway appends _payload; for example, tableNamePrefix = "orders" creates ordersPayload. If unset, the prefix defaults to the service name. Read table from the response for the resulting resource name. After the inference table is created, this field cannot be changed
    isDeleted boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    parent string
    Parent schema to list within, in the form schemas/{catalog}.{schema}. Required. Each {...} component is capped at 255 characters individually
    table string
    (string) - Resolved UC table for payload logs. Format: tables/{catalog}.{schema}.{table}
    tableNamePrefix string
    (string) - Prefix used to form the inference table's registered name. AI Gateway appends _payload; for example, tableNamePrefix = "orders" creates ordersPayload. If unset, the prefix defaults to the service name. Read table from the response for the resulting resource name. After the inference table is created, this field cannot be changed
    is_deleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    parent str
    Parent schema to list within, in the form schemas/{catalog}.{schema}. Required. Each {...} component is capped at 255 characters individually
    table str
    (string) - Resolved UC table for payload logs. Format: tables/{catalog}.{schema}.{table}
    table_name_prefix str
    (string) - Prefix used to form the inference table's registered name. AI Gateway appends _payload; for example, tableNamePrefix = "orders" creates ordersPayload. If unset, the prefix defaults to the service name. Read table from the response for the resulting resource name. After the inference table is created, this field cannot be changed
    isDeleted Boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    parent String
    Parent schema to list within, in the form schemas/{catalog}.{schema}. Required. Each {...} component is capped at 255 characters individually
    table String
    (string) - Resolved UC table for payload logs. Format: tables/{catalog}.{schema}.{table}
    tableNamePrefix String
    (string) - Prefix used to form the inference table's registered name. AI Gateway appends _payload; for example, tableNamePrefix = "orders" creates ordersPayload. If unset, the prefix defaults to the service name. Read table from the response for the resulting resource name. After the inference table is created, this field cannot be changed

    GetAiGatewayModelServicesModelServiceConfigRateLimit

    Key string
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    RenewalPeriod string
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    Principal string
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    Requests int
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    Tokens int
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    Key string
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    RenewalPeriod string
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    Principal string
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    Requests int
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    Tokens int
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    key string
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    renewal_period string
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    principal string
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    requests number
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    tokens number
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    key String
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    renewalPeriod String
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    principal String
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    requests Integer
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    tokens Integer
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    key string
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    renewalPeriod string
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    principal string
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    requests number
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    tokens number
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    key str
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    renewal_period str
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    principal str
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    requests int
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    tokens int
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    key String
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    renewalPeriod String
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    principal String
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    requests Number
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    tokens Number
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests

    GetAiGatewayModelServicesModelServiceConfigRouting

    Destinations List<GetAiGatewayModelServicesModelServiceConfigRoutingDestination>
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    Fallback GetAiGatewayModelServicesModelServiceConfigRoutingFallback
    (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
    Destinations []GetAiGatewayModelServicesModelServiceConfigRoutingDestination
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    Fallback GetAiGatewayModelServicesModelServiceConfigRoutingFallback
    (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
    destinations list(object)
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    fallback object
    (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
    destinations List<GetAiGatewayModelServicesModelServiceConfigRoutingDestination>
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    fallback GetAiGatewayModelServicesModelServiceConfigRoutingFallback
    (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
    destinations GetAiGatewayModelServicesModelServiceConfigRoutingDestination[]
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    fallback GetAiGatewayModelServicesModelServiceConfigRoutingFallback
    (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
    destinations Sequence[GetAiGatewayModelServicesModelServiceConfigRoutingDestination]
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    fallback GetAiGatewayModelServicesModelServiceConfigRoutingFallback
    (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
    destinations List<Property Map>
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    fallback Property Map
    (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order

    GetAiGatewayModelServicesModelServiceConfigRoutingDestination

    DestinationType string
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    IsDeleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    Name string
    (string) - User-facing label for this destination, used in routing references
    ExternalModelConfig GetAiGatewayModelServicesModelServiceConfigRoutingDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    PayPerTokenConfig GetAiGatewayModelServicesModelServiceConfigRoutingDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    ProvisionedThroughputConfig GetAiGatewayModelServicesModelServiceConfigRoutingDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    TrafficPercentage int
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    DestinationType string
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    IsDeleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    Name string
    (string) - User-facing label for this destination, used in routing references
    ExternalModelConfig GetAiGatewayModelServicesModelServiceConfigRoutingDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    PayPerTokenConfig GetAiGatewayModelServicesModelServiceConfigRoutingDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    ProvisionedThroughputConfig GetAiGatewayModelServicesModelServiceConfigRoutingDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    TrafficPercentage int
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destination_type string
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    is_deleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name string
    (string) - User-facing label for this destination, used in routing references
    external_model_config object
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    pay_per_token_config object
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisioned_throughput_config object
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    traffic_percentage number
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destinationType String
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    isDeleted Boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name String
    (string) - User-facing label for this destination, used in routing references
    externalModelConfig GetAiGatewayModelServicesModelServiceConfigRoutingDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    payPerTokenConfig GetAiGatewayModelServicesModelServiceConfigRoutingDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisionedThroughputConfig GetAiGatewayModelServicesModelServiceConfigRoutingDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    trafficPercentage Integer
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destinationType string
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    isDeleted boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name string
    (string) - User-facing label for this destination, used in routing references
    externalModelConfig GetAiGatewayModelServicesModelServiceConfigRoutingDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    payPerTokenConfig GetAiGatewayModelServicesModelServiceConfigRoutingDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisionedThroughputConfig GetAiGatewayModelServicesModelServiceConfigRoutingDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    trafficPercentage number
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destination_type str
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    is_deleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name str
    (string) - User-facing label for this destination, used in routing references
    external_model_config GetAiGatewayModelServicesModelServiceConfigRoutingDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    pay_per_token_config GetAiGatewayModelServicesModelServiceConfigRoutingDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisioned_throughput_config GetAiGatewayModelServicesModelServiceConfigRoutingDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    traffic_percentage int
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destinationType String
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    isDeleted Boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name String
    (string) - User-facing label for this destination, used in routing references
    externalModelConfig Property Map
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    payPerTokenConfig Property Map
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisionedThroughputConfig Property Map
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    trafficPercentage Number
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field

    GetAiGatewayModelServicesModelServiceConfigRoutingDestinationExternalModelConfig

    ModelProviderService string
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    Target GetAiGatewayModelServicesModelServiceConfigRoutingDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    ModelProviderService string
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    Target GetAiGatewayModelServicesModelServiceConfigRoutingDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    model_provider_service string
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target object
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    modelProviderService String
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target GetAiGatewayModelServicesModelServiceConfigRoutingDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    modelProviderService string
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target GetAiGatewayModelServicesModelServiceConfigRoutingDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    model_provider_service str
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target GetAiGatewayModelServicesModelServiceConfigRoutingDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    modelProviderService String
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target Property Map
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time

    GetAiGatewayModelServicesModelServiceConfigRoutingDestinationExternalModelConfigTarget

    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    NativeApiTypes List<string>
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    NativeApiTypes []string
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    native_api_types list(string)
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    nativeApiTypes List<String>
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    nativeApiTypes string[]
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model str
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    native_api_types Sequence[str]
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    nativeApiTypes List<String>
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed

    GetAiGatewayModelServicesModelServiceConfigRoutingDestinationPayPerTokenConfig

    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model str
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time

    GetAiGatewayModelServicesModelServiceConfigRoutingDestinationProvisionedThroughputConfig

    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    ModelServingEndpoint string
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    ModelServingEndpoint string
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model_serving_endpoint string
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    modelServingEndpoint String
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    modelServingEndpoint string
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    model str
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model_serving_endpoint str
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    modelServingEndpoint String
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time

    GetAiGatewayModelServicesModelServiceConfigRoutingFallback

    Destinations List<GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestination>
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    Destinations []GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestination
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    destinations list(object)
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    destinations List<GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestination>
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    destinations GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestination[]
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    destinations Sequence[GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestination]
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    destinations List<Property Map>
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported

    GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestination

    DestinationType string
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    IsDeleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    Name string
    (string) - User-facing label for this destination, used in routing references
    ExternalModelConfig GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    PayPerTokenConfig GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    ProvisionedThroughputConfig GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    TrafficPercentage int
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    DestinationType string
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    IsDeleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    Name string
    (string) - User-facing label for this destination, used in routing references
    ExternalModelConfig GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    PayPerTokenConfig GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    ProvisionedThroughputConfig GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    TrafficPercentage int
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destination_type string
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    is_deleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name string
    (string) - User-facing label for this destination, used in routing references
    external_model_config object
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    pay_per_token_config object
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisioned_throughput_config object
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    traffic_percentage number
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destinationType String
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    isDeleted Boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name String
    (string) - User-facing label for this destination, used in routing references
    externalModelConfig GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    payPerTokenConfig GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisionedThroughputConfig GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    trafficPercentage Integer
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destinationType string
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    isDeleted boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name string
    (string) - User-facing label for this destination, used in routing references
    externalModelConfig GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    payPerTokenConfig GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisionedThroughputConfig GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    trafficPercentage number
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destination_type str
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    is_deleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name str
    (string) - User-facing label for this destination, used in routing references
    external_model_config GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    pay_per_token_config GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisioned_throughput_config GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    traffic_percentage int
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destinationType String
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    isDeleted Boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name String
    (string) - User-facing label for this destination, used in routing references
    externalModelConfig Property Map
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    payPerTokenConfig Property Map
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisionedThroughputConfig Property Map
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    trafficPercentage Number
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field

    GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationExternalModelConfig

    ModelProviderService string
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    Target GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    ModelProviderService string
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    Target GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    model_provider_service string
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target object
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    modelProviderService String
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    modelProviderService string
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    model_provider_service str
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    modelProviderService String
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target Property Map
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time

    GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationExternalModelConfigTarget

    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    NativeApiTypes List<string>
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    NativeApiTypes []string
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    native_api_types list(string)
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    nativeApiTypes List<String>
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    nativeApiTypes string[]
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model str
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    native_api_types Sequence[str]
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    nativeApiTypes List<String>
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed

    GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationPayPerTokenConfig

    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model str
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time

    GetAiGatewayModelServicesModelServiceConfigRoutingFallbackDestinationProvisionedThroughputConfig

    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    ModelServingEndpoint string
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    ModelServingEndpoint string
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model_serving_endpoint string
[...]
